%global commit      bb9c7044342abec52f92ee20bb119f60322b58de
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date        20191210

%global uuid    com.github.rickybas.%{name}

Name:           gtk-gist-manager
Version:        0
Release:        1.%{date}git%{shortcommit}%{?dist}
Summary:        Gtk Gist viewer and creator

License:        GPLv3+
URL:            https://github.com/rickybas/gtk-gist-manager
Source0:        %{url}/archive/%{commit}/%{name}-%{version}.%{date}git%{shortcommit}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  meson >= 0.40.1
BuildRequires:  vala
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0) >= 3.10
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(valagist-1.0)

%description
%{summary}.


%prep
%autosetup -n %{name}-%{commit} -p1


%build
%meson
%meson_build


%install
%meson_install

### Remove duplicate icons
rm -r   %{buildroot}%{_datadir}/icons/hicolor/48x48/ \
        %{buildroot}%{_datadir}/icons/hicolor/64x64/


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files
%license COPYING
%doc README.md
%{_bindir}/%{uuid}
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/128x128/*/%{uuid}.svg
%{_metainfodir}/*.appdata.xml


%changelog
* Tue Dec 10 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0-1.20191210gitbb9c704
- Initial package
